% Blaise Pascal University
% Harris.m (Harris corner detector)
%%%%%%%%%%%
function harris
[x,map]=imread('test1.jpg');               
I=double(x(:,:,1)); % keep red component
%% Compute Harris Score Map
% ...

%% Compute Interest Points
% ...

%% Display


%% sub-functions
function W=gau(sigma,ta)
W=zeros(ta);
ta2=(ta-1)/2;
for i= -ta2:ta2
    for j= -ta2:ta2
        W(i+ta2+1,j+ta2+1)=exp(-(i^2+j^2)/(2*sigma^2));
    end
end
W = W./sum(W(:));

% Apply kernel m on image I. 
function [I2]=masqn(I,m)

[ty,tx]=size(m);
[Ity, Itx]=size(I);
I2=0.*I;
tmpx=round((tx-1)/2);
tmpy=round((ty-1)/2);
I=[I(1:tmpy,:) ; I ; I(Ity-tmpy+1:Ity,:)];
I=[I(:,1:tmpx) I I(:,Itx-tmpx+1:Itx)];
% 
for i=1:ty  
    for j=1:tx 
        I2=I2+m(i,j).*I(i:end-ty+i,j:end-tx+j);
    end
end
